/**
 * @file
 * Contains Gigwa javascript code.
 */
(function ($, Drupal, drupalSettings) {

  'use strict';

  Drupal.gigwa = {};

  /**
   * Attaches the JS test behavior to weight div.
   */
  Drupal.behaviors.gigwa = {

    attach: function (context, settings) {
      var gigwaIframe = document.getElementById('gigwa');
      if (!gigwaIframe.classList.contains('gigwa-processed')) {
        gigwaIframe.classList.add('gigwa-processed');
        // @todo: may need to modify Gigwa to trigger onload event on its iframe.
        gigwaIframe.addEventListener('onload', Drupal.gigwa.resizeIframe, false);
      }
    },
  };

  Drupal.gigwa.resizeIframe = function() {
    var gigwaIframe = document.getElementById("gigwa");
    if (null !== gigwaIframe) {
      gigwaIframe.height = "";
      gigwaIframe.height =
        gigwaIframe.contentWindow.document.body.scrollHeight
        + 'px'
      ;
    }
  };

})(jQuery, Drupal, drupalSettings);

