<?php

namespace Drupal\gigwa\Controller;

use Drupal\Core\Config\Config;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Gigwa controller.
 */
class GigwaController extends ControllerBase {

  /**
   * @var \Drupal\Core\Config\Config
   */
  protected $config;

  /**
   * @param \Drupal\Core\Config\Config $config
   */
  public function __construct(Config $config) {
    $this->config = $config;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('config.factory')->get('gigwa.settings')
    );
  }


  /**
   * {@inheritdoc}
   */
  protected function getModuleName() {
    return 'gigwa';
  }

  /**
   * Gigwa interface page.
   */
  public function gigwaInterface() {
    $render_array = [
      '#theme' => 'gigwa',
      '#gigwa_url' => $this->config->get('gigwa_url', ''),
      '#attached' => ['library' => ['gigwa/gigwa',],],
    ];
    return $render_array;
  }

  /**
   * Gigwa documentation page.
   */
  public function gigwaDocumentation() {
    $render_array = [
      '#theme' => 'gigwa_documentation',
    ];
    return $render_array;
  }

}
